GET
Python

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

product_id

Filter by product ID. The product ID.

status

Filter by order status.

Available options:
draft,
pending,
paid,
refunded,
partially_refunded,
void
created_after
string<date-time> | null

Only include orders created after this date. Must include a UTC offset.

created_before
string<date-time> | null

Only include orders created before this date. Must include a UTC offset.

timezone
string
default:UTC

Time zone used to render dates in the CSV.

columns

Columns to include in the CSV, in order. Defaults to email, created_at, product, net_amount, currency, status and invoice_number.

Available options:
email,
created_at,
product,
net_amount,
currency,
status,
invoice_number,
customer_name,
billing_name,
billing_country,
subtotal_amount,
discount_amount,
tax_amount,
total_amount,
refunded_amount,
billing_reason

Response

Successful Response

The response is of type string.